explain_realpath_or_die(3)

NAME
explain_realpath_or_die - return canonical pathname and report errors
    "return the canonicalized absolute pathname and report errors"

SYNOPSIS
#include <libexplain/realpath.h>

char *explain_realpath_or_die(const char *pathname, char *resolved_pathname);
char *explain_realpath_on_error(const char *pathname, char *resolved_pathname);

DESCRIPTION
The explain_realpath_or_die function is used to call the realpath(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_realpath(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_realpath_on_error function is used to call the realpath(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_realpath(3) function, but still returns to the caller.

pathname
    The pathname, exactly as to be passed to the realpath(3) system call.

resolved_pathname
    The resolved_pathname, exactly as to be passed to the realpath(3) system call.

RETURN VALUE
The explain_realpath_or_die function only returns on success, see realpath(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_realpath_on_error function always returns the value return by the wrapped realpath(3) system call.

EXAMPLE
The explain_realpath_or_die function is intended to be used in a fashion similar to the following example:
    char *result = explain_realpath_or_die(pathname, resolved_pathname);

SEE ALSO

realpath(3)
    return the canonicalized absolute pathname

explain_realpath(3)
    explain realpath(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2011 Peter Miller